Subject: [PATCH v2 3/3] ARM: imx_v6_v7_defconfig: Select MXS_DMA

From: [email-masked] (Huang Shijie)
Date: Fri, 27 Jul 2012 18:21:56 +0800

? 2012?07?27? 17:30, Dirk Behme ??:
> On 26.07.2012 13:32, Huang Shijie wrote:
>> On Thu, Jul 26, 2012 at 7:08 AM, Fabio Estevam <[email-masked]> 
>> wrote:
>>> On Thu, Jul 26, 2012 at 7:56 AM, Huang Shijie <[email-masked]> 
>>> wrote:
>>>> On Thu, Jul 26, 2012 at 6:53 AM, Fabio Estevam <[email-masked]> 
>>>> wrote:
>>>>> On Wed, Jul 25, 2012 at 11:24 PM, Huang Shijie <[email-masked]> 
>>>>> wrote:
>>>>>
>>>>>> But you have added "depend on MXS_DMA". So If you do not select the
>>>>>> mxs-dma, you can not see the
>>>>>> gpmi-nand.
>>>>>> that's why i think this patch is not needed.
>>>>> So how CONFIG_MXS_DMA would be selected if not via defconfig?
>>>> Use the make menuconfig ARCH=arm:
>>>>
>>>> "device drivers"-->"DMA engine support" -->"mxs dma support"
>>> I prefer to have selected in the defconfig by default instead.
>>>
>>> It is not obvious for the end user that they need to manually select
>>> this option.
>>>
>>> mxs_defconfig also selects CONFIG_MXS_DMA.
>> In mx23/mx28, the mxs-dma has many users, so it's proper to make it 
>> default.
>>
>>> Can't we do the same here and let imx_v6_v7_defconfig be built again?
>> Shawn, do you have any opinion about this?
>
> First, I think Shawn is on holiday at the moment.
>
> Second, recent kernel mainline from today building imx_v6_v7_defconfig 
> is broken due to this.
Sascha did not CC to me when he submitted the patch 3def84ed9 "ARM: 
imx_v6_v7_defconfig: ..".

I would check this patch if he CCed to me.

BR
Huang Shijie

>
> So to make it build again, we have to enable CONFIG_MXS_DMA anyhow. As 
> it seems that GPMI_NAND needs it to build, I would vote for the
>
> depends on MXS_DMA
>
> fix proposed by Richard
>
> http://www.spinics.net/lists/arm-kernel/msg186111.html
>
> Anyhow, any chance to get the kernel mainline fixed asap?
>
> Many thanks and best regards
>
> Dirk
>
>